be.cin.mycarenet._1_0.carenet.types

## Class SingleInsurabilityResponse

- java.lang.Object
- - be.cin.mycarenet._1_0.carenet.types.SingleInsurabilityResponse

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:13:27+01:00",
                 comments="JAXB RI v2.3.7")
      public class SingleInsurabilityResponse
      extends Object
      implements Serializable

  Java class for SingleInsurabilityResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SingleInsurabilityResponseType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <choice>
                 <sequence>
                   <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}CareReceiverId"/>
                   <element name="MessageFault" type="{urn:be:cin:mycarenet:1.0:carenet:types}MessageFaultType" minOccurs="0"/>
                 </sequence>
                 <sequence>
                   <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}CareReceiverDetail"/>
                   <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}InsurabilityResponseDetail"/>
                 </sequence>
               </choice>
               <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}InsurabilityRequestDetail"/>
             </sequence>
             <attGroup ref="{urn:be:cin:mycarenet:1.0:carenet:types}MessageHeader"/>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingleInsurabilityResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CareReceiverDetailType` | `getCareReceiverDetail()` Some detailed information about the care receiver.
    `CareReceiverId` | `getCareReceiverId()` The identification of the care receiver.
    `InsurabilityRequestDetail` | `getInsurabilityRequestDetail()` The same data as the request.
    `InsurabilityResponseDetail` | `getInsurabilityResponseDetail()` Gets the value of the insurabilityResponseDetail property.
    `MessageFaultType` | `getMessageFault()` Gets the value of the messageFault property.
    `MessageNameType` | `getMessageName()` Gets the value of the messageName property.
    `String` | `getReceiverReference()` Gets the value of the receiverReference property.
    `String` | `getSenderReference()` Gets the value of the senderReference property.
    `String` | `getVersion()` Gets the value of the version property.
    `boolean` | `isDuplicate()` Gets the value of the duplicate property.
    `boolean` | `isSynchronous()` Gets the value of the synchronous property.
    `boolean` | `isTestFlag()` Gets the value of the testFlag property.
    `void` | `setCareReceiverDetail(CareReceiverDetailType value)` Sets the value of the careReceiverDetail property.
    `void` | `setCareReceiverId(CareReceiverId value)` Sets the value of the careReceiverId property.
    `void` | `setDuplicate(boolean value)` Sets the value of the duplicate property.
    `void` | `setInsurabilityRequestDetail(InsurabilityRequestDetail value)` Sets the value of the insurabilityRequestDetail property.
    `void` | `setInsurabilityResponseDetail(InsurabilityResponseDetail value)` Sets the value of the insurabilityResponseDetail property.
    `void` | `setMessageFault(MessageFaultType value)` Sets the value of the messageFault property.
    `void` | `setMessageName(MessageNameType value)` Sets the value of the messageName property.
    `void` | `setReceiverReference(String value)` Sets the value of the receiverReference property.
    `void` | `setSenderReference(String value)` Sets the value of the senderReference property.
    `void` | `setSynchronous(boolean value)` Sets the value of the synchronous property.
    `void` | `setTestFlag(boolean value)` Sets the value of the testFlag property.
    `void` | `setVersion(String value)` Sets the value of the version property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleInsurabilityResponse

          public SingleInsurabilityResponse()

  - ### Method Detail

    - #### getCareReceiverDetail

          public CareReceiverDetailType getCareReceiverDetail()

      Some detailed information about the care receiver.
      Returns:
        possible object is `CareReceiverDetailType`

    - #### setCareReceiverDetail

          public void setCareReceiverDetail(CareReceiverDetailType value)

      Sets the value of the careReceiverDetail property.
      Parameters:
        `value` - allowed object is `CareReceiverDetailType`

    - #### getInsurabilityResponseDetail

          public InsurabilityResponseDetail getInsurabilityResponseDetail()

      Gets the value of the insurabilityResponseDetail property.
      Returns:
        possible object is `InsurabilityResponseDetail`

    - #### setInsurabilityResponseDetail

          public void setInsurabilityResponseDetail(InsurabilityResponseDetail value)

      Sets the value of the insurabilityResponseDetail property.
      Parameters:
        `value` - allowed object is `InsurabilityResponseDetail`

    - #### getCareReceiverId

          public CareReceiverId getCareReceiverId()

      The identification of the care receiver.
      Returns:
        possible object is `CareReceiverId`

    - #### setCareReceiverId

          public void setCareReceiverId(CareReceiverId value)

      Sets the value of the careReceiverId property.
      Parameters:
        `value` - allowed object is `CareReceiverId`

    - #### getMessageFault

          public MessageFaultType getMessageFault()

      Gets the value of the messageFault property.
      Returns:
        possible object is `MessageFaultType`

    - #### setMessageFault

          public void setMessageFault(MessageFaultType value)

      Sets the value of the messageFault property.
      Parameters:
        `value` - allowed object is `MessageFaultType`

    - #### getInsurabilityRequestDetail

          public InsurabilityRequestDetail getInsurabilityRequestDetail()

      The same data as the request.
      Returns:
        possible object is `InsurabilityRequestDetail`

    - #### setInsurabilityRequestDetail

          public void setInsurabilityRequestDetail(InsurabilityRequestDetail value)

      Sets the value of the insurabilityRequestDetail property.
      Parameters:
        `value` - allowed object is `InsurabilityRequestDetail`

    - #### getMessageName

          public MessageNameType getMessageName()

      Gets the value of the messageName property.
      Returns:
        possible object is `MessageNameType`

    - #### setMessageName

          public void setMessageName(MessageNameType value)

      Sets the value of the messageName property.
      Parameters:
        `value` - allowed object is `MessageNameType`

    - #### getVersion

          public String getVersion()

      Gets the value of the version property.
      Returns:
        possible object is `String`

    - #### setVersion

          public void setVersion(String value)

      Sets the value of the version property.
      Parameters:
        `value` - allowed object is `String`

    - #### isDuplicate

          public boolean isDuplicate()

      Gets the value of the duplicate property.

    - #### setDuplicate

          public void setDuplicate(boolean value)

      Sets the value of the duplicate property.

    - #### isTestFlag

          public boolean isTestFlag()

      Gets the value of the testFlag property.

    - #### setTestFlag

          public void setTestFlag(boolean value)

      Sets the value of the testFlag property.

    - #### getSenderReference

          public String getSenderReference()

      Gets the value of the senderReference property.
      Returns:
        possible object is `String`

    - #### setSenderReference

          public void setSenderReference(String value)

      Sets the value of the senderReference property.
      Parameters:
        `value` - allowed object is `String`

    - #### getReceiverReference

          public String getReceiverReference()

      Gets the value of the receiverReference property.
      Returns:
        possible object is `String`

    - #### setReceiverReference

          public void setReceiverReference(String value)

      Sets the value of the receiverReference property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSynchronous

          public boolean isSynchronous()

      Gets the value of the synchronous property.

    - #### setSynchronous

          public void setSynchronous(boolean value)

      Sets the value of the synchronous property.

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.